Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.toolbar
Interface ToolBarComponent

All Known Implementing Classes:
  ToolBarComponentSupport

public interface ToolBarComponent

Toolbar element like button, separator etc

Author:
  av

Method Summary
`java.lang.String` | `getId()` must be unique within the toolbar. if null, the toolbar element will not be scriptable.
`void` | `initialize(RequestContext context, ToolBar owner)` deferred ctor - initializes the button once after instantiation
`boolean` | `isSeparator()` paints some space
`boolean` | `isVisible()` default visible state in case no visibleExpr is set
`boolean` | `isVisible(RequestContext context)` true if this button is visible
`void` | `render(RequestContext context, org.w3c.dom.Element parent)` renders the toolbar button
`void` | `setVisible(boolean b)` default visible state in case no visibleExpr is set
`void` | `setVisibleExpr(java.lang.String expr)` an expression that evaluates to a boolean.

Method Detail

### render

    public void render(RequestContext context,
                       org.w3c.dom.Element parent)
                throws java.lang.Exception

  renders the toolbar button

  Throws:
    `java.lang.Exception`

### initialize

    public void initialize(RequestContext context,
                           ToolBar owner)

  deferred ctor - initializes the button once after instantiation

### setVisibleExpr

    public void setVisibleExpr(java.lang.String expr)

  an expression that evaluates to a boolean. If set, the button will be visible only if the boolen is true

### isVisible

    public boolean isVisible(RequestContext context)

  true if this button is visible

### isSeparator

    public boolean isSeparator()

  paints some space

### setVisible

    public void setVisible(boolean b)

  default visible state in case no visibleExpr is set

### isVisible

    public boolean isVisible()

  default visible state in case no visibleExpr is set

### getId

    public java.lang.String getId()

  must be unique within the toolbar. if null, the toolbar element will not be scriptable.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD